VFLUSH(9)

NAME
vflush - flush vnodes for a mount point

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
vflush(struct mount *mp, int rootrefs, int flags, struct thread *td);

DESCRIPTION
The vflush() function removes any vnodes in the vnode table that belong to the given mount structure.

Its arguments are:

mp  The mount point whose vnodes should be removed.

rootrefs
    The number of references expected on the root vnode. vrele(9) will be invoked on the root vnode rootrefs times.

flags
    The flags indicating how vnodes should be handled.

    FORCECLOSE
        If set, busy vnodes will be forcibly closed.

    SKIPSYSTEM
        If set, vnodes with the VV_SYSTEM flag set will be skipped.

    WRITECLOSE
        If set, only regular files currently opened for writing will be removed.

td  The calling thread.

RETURN VALUES
A value of 0 is returned if the flush is successful; otherwise, EBUSY will be returned.

SEE ALSO
vgone(9), vrele(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.